	subroutine abbr_angle
	implicit character (a-s,u-z)
	implicit double complex (t)

#include "vars.h"

	cint8 = B0(T,0.D0,0.D0)
	cint9 = B0(T,0.D0,MZ2)
	cint10 = B0(T,MH2,MH2)
	cint11 = B0(T,MW2,MW2)
	cint12 = B0(T,MZ2,MZ2)
	cint13 = B0(U,MW2,MW2)
	cint39 = B00(T,0.D0,0.D0)
	cint40 = B1(T,0.D0,0.D0)
	cint49 = B00(T,MW2,MW2)
	cint50 = B1(T,MW2,MW2)
	cint51 = B1(T,MZ2,MZ2)
	cint52 = B0(T,MH2,MZ2)
	cint53 = B00(T,MH2,MZ2)
	iint16 = Cget(MW2,T,MW2,0.D0,MW2,MW2)
	iint18 = Cget(MW2,T,MW2,MH2,MW2,MW2)
	iint19 = Cget(MW2,T,MW2,MW2,0.D0,0.D0)
	iint20 = Cget(MW2,T,MW2,MW2,MH2,MH2)
	iint21 = Cget(MW2,T,MW2,MW2,0.D0,MZ2)
	iint22 = Cget(MW2,T,MW2,MW2,MZ2,0.D0)
	iint23 = Cget(MW2,T,MW2,MW2,MZ2,MZ2)
	iint24 = Cget(MW2,T,MW2,MZ2,MW2,MW2)
	iint25 = Cget(MW2,U,MW2,0.D0,MW2,MW2)
	iint26 = Cget(MW2,U,MW2,MH2,MW2,MW2)
	iint27 = Cget(MW2,U,MW2,MZ2,MW2,MW2)
	iint39 = Dget(MW2,S,MW2,T,MW2,MW2,0.D0,MW2,MW2,0.D0)
	iint40 = Dget(MW2,S,MW2,T,MW2,MW2,0.D0,MW2,MW2,MH2)
	iint41 = Dget(MW2,S,MW2,T,MW2,MW2,0.D0,MW2,MW2,MZ2)
	iint42 = Dget(MW2,S,MW2,T,MW2,MW2,MH2,MW2,MW2,0.D0)
	iint43 = Dget(MW2,S,MW2,T,MW2,MW2,MH2,MW2,MW2,MH2)
	iint44 = Dget(MW2,S,MW2,T,MW2,MW2,MH2,MW2,MW2,MZ2)
	iint45 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,0.D0,0.D0,MW2)
	iint46 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,0.D0,MH2,MW2)
	iint47 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MH2,0.D0,MW2)
	iint48 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MH2,MH2,MW2)
	iint49 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MH2,MZ2,MW2)
	iint50 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,0.D0,MZ2,MW2)
	iint51 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MZ2,0.D0,MW2)
	iint52 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MZ2,MH2,MW2)
	iint53 = Dget(MW2,S,MW2,T,MW2,MW2,MW2,MZ2,MZ2,MW2)
	iint54 = Dget(MW2,S,MW2,T,MW2,MW2,MZ2,MW2,MW2,0.D0)
	iint55 = Dget(MW2,S,MW2,T,MW2,MW2,MZ2,MW2,MW2,MH2)
	iint56 = Dget(MW2,S,MW2,T,MW2,MW2,MZ2,MW2,MW2,MZ2)
	iint57 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,0.D0,0.D0,MW2)
	iint58 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,0.D0,MH2,MW2)
	iint59 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MH2,0.D0,MW2)
	iint60 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MH2,MH2,MW2)
	iint61 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MH2,MZ2,MW2)
	iint62 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,0.D0,MZ2,MW2)
	iint63 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MZ2,0.D0,MW2)
	iint64 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MZ2,MH2,MW2)
	iint65 = Dget(MW2,S,MW2,U,MW2,MW2,MW2,MZ2,MZ2,MW2)
	iint66 = Cget(T,MW2,MW2,0.D0,0.D0,MW2)
	iint67 = Cget(T,MW2,MW2,0.D0,MZ2,MW2)
	iint68 = Cget(T,MW2,MW2,0.D0,MH2,MW2)
	iint69 = Cget(T,MW2,MW2,MH2,0.D0,MW2)
	iint70 = Cget(T,MW2,MW2,MZ2,0.D0,MW2)
	iint71 = Cget(T,MW2,MW2,MH2,MZ2,MW2)
	iint72 = Cget(T,MW2,MW2,MZ2,MH2,MW2)
	iint73 = Cget(T,MW2,MW2,MZ2,MZ2,MW2)
	iint74 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,0.D0,0.D0,MW2)
	iint75 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,0.D0,MH2,MW2)
	iint76 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MH2,0.D0,MW2)
	iint77 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MH2,MH2,MW2)
	iint78 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MH2,MZ2,MW2)
	iint79 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,0.D0,MZ2,MW2)
	iint80 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MZ2,0.D0,MW2)
	iint81 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MZ2,MH2,MW2)
	iint82 = Dget(MW2,T,MW2,U,MW2,MW2,MW2,MZ2,MZ2,MW2)
	iint93 = Cget(MW2,T,MW2,MW2,MH2,MZ2)
	iint94 = Cget(MW2,T,MW2,MW2,MZ2,MH2)

	do Gen1 = 1, 3
	cint25(Gen1) = B00(T,MLE2(Gen1),MLE2(Gen1))
	cint26(Gen1) = B00(T,MQD2(Gen1),MQD2(Gen1))
	cint27(Gen1) = B00(T,MQU2(Gen1),MQU2(Gen1))
	cint28(Gen1) = B1(T,MLE2(Gen1),MLE2(Gen1))
	cint29(Gen1) = B1(T,MQD2(Gen1),MQD2(Gen1))
	cint30(Gen1) = B1(T,MQU2(Gen1),MQU2(Gen1))
	cint34(Gen1) = B0(T,MLE2(Gen1),MLE2(Gen1))
	cint35(Gen1) = B0(T,MQD2(Gen1),MQD2(Gen1))
	cint36(Gen1) = B0(T,MQU2(Gen1),MQU2(Gen1))
        iint5(Gen1) = Dget(MW2,S,MW2,T,MW2,MW2,0.D0,MLE2(Gen1),
     -   MLE2(Gen1),0.D0)
        iint6(Gen1) = Dget(MW2,S,MW2,T,MW2,MW2,MLE2(Gen1),0.D0,0.D0,
     -   MLE2(Gen1))
        iint7(Gen1) = Dget(MW2,S,MW2,T,MW2,MW2,MQD2(Gen1),
     -   MQU2(Gen1),MQU2(Gen1),MQD2(Gen1))
        iint8(Gen1) = Dget(MW2,S,MW2,T,MW2,MW2,MQU2(Gen1),
     -   MQD2(Gen1),MQD2(Gen1),MQU2(Gen1))
	iint86(Gen1) = Cget(MW2,T,MW2,0.D0,MLE2(Gen1),MLE2(Gen1))
	iint87(Gen1) = Cget(MW2,T,MW2,MQU2(Gen1),MQD2(Gen1),MQD2(Gen1))
	iint88(Gen1) = Cget(MW2,T,MW2,MQD2(Gen1),MQU2(Gen1),MQU2(Gen1))
	iint89(Gen1) = Cget(MW2,T,MW2,MLE2(Gen1),0.D0,0.D0)
	enddo
	end

